        SUBROUTINE F(X,Y,YP)
C       ---------------------------------------------------------------
C       Rossler Equations
C
C		dX/dt = -Y - Z
C		dY/dt =  X + aY
C		dZ/dt =  b + XZ - cZ
C
C
C       Original Parameters (Rossler, 1976):
C
C               a = 0.2
C               b = 0.2
C		c = 5.7
C       ---------------------------------------------------------------
C
        IMPLICIT DOUBLE PRECISION (A-H,O-Z)
        DIMENSION P(20), Y(10), YP(10)
        COMMON /PARAM/ P
C  --
C  --
	YP(1) = -Y(2) - Y(3)
	YP(2) =  Y(1) + Y(2)*P(1)
	YP(3) =  P(2) + Y(1)*Y(3) - Y(3)*P(3)
C  --
C  --
        RETURN
        END
